import React from 'react';
import { func, string } from 'prop-types';
import { connect } from 'react-refetch';

const Gist = ({ description, star }) => (
  <li>
    {description}
    <button onClick={star}>+1</button>
  </li>
);

Gist.propTypes = {
  description: string,
  star: func
};

const token = 'access_token=123';

const connectWithStar = connect(({ id }) => ({
  star: () => ({
    starResponse: {
      url: `https://api.github.com/gists/${id}/star?${token}`,
      method: 'PUT'
    }
  })
}));

export default connectWithStar(Gist);
